require 'minitest/autorun'
require 'http_utility'

class TestHttpUtility < MiniTest::Test
  HOST = 'www.wikipedia.org'
  PROTOCOL = 'http://'
  GET_ROUTE = nil

  def setup
    @requester = HttpUtility.new(PROTOCOL, HOST)
  end

  def test_get_request
    get_response = @requester.get_response(GET_ROUTE)
    valid_code = get_response.code.to_i >= 200 && get_response.code.to_i < 400
    assert_equal(true, valid_code)
    assert_equal(false, get_response.body.nil?)
  end
end
